derive-2.6.5: A program and library to derive instances for data types

Safe Haskell | None
Language | Haskell2010

Data.Derive.DSL.DSL

# Documentation

data DSL Source #

Constructors

App String DSL |
Concat DSL |
Reverse DSL |
String String |
ShowInt DSL |
Int Integer |
List [DSL] |
MapField DSL |
MapCtor DSL |
DataName |
CtorName |
CtorIndex |
CtorArity |
FieldIndex |
Fold DSL DSL |
Head |
Tail |
Instance [String] String DSL |
Application DSL |

Instances

Data DSL Source # |

Instance details

Defined in Data.Derive.DSL.DSL

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> DSL -> c DSL Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c DSL Source #

toConstr :: DSL -> Constr Source #

dataTypeOf :: DSL -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c DSL) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c DSL) Source #

gmapT :: (forall b. Data b => b -> b) -> DSL -> DSL Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> DSL -> r Source #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> DSL -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> DSL -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> DSL -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> DSL -> m DSL Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> DSL -> m DSL Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> DSL -> m DSL Source #

Show DSL Source # |
Instance details Defined in Data.Derive.DSL.DSL Methods showsPrec :: Int -> DSL -> ShowS Source # show :: DSL -> String Source # showList :: [DSL] -> ShowS Source #

box :: DSL -> DSL Source #

nil :: DSL Source #

append :: DSL -> DSL -> DSL Source #

fromOut :: Output -> DSL Source #

simplifyDSL :: DSL -> DSL Source #

prettyTex :: DSL -> String Source #